首页>软件下载 > 编程开发 > 编程软件 > Windows App SDK(桌面开发工具) v1.0.0

Windows App SDK(桌面开发工具) v1.0.0

  Windows App SDK是微软官方推出的一款功能强大的桌面开发组件和工具,是能够帮助开发人员高效构建具有现代用户界面(Windows UI)、应用程序接口(API)和平台功能构建的应用程序。Windows App SDK提供了各种Windows API,不管是功能还是性能方面都是非常强大的,有需要的赶紧来下载使用吧。

  软件说明

  Windows 应用 SDK 是一组新的开发人员组件和工具,它们代表着 Windows 应用开发平台的下一步发展。

  Windows 应用 SDK 提供一组统一的 API 和工具,可供从 Windows 11 到 Windows 10 版本 1809 上的任何桌面应用以一致的方式使用。

  Windows 应用 SDK 不会用 C++ 替换现有的桌面 Windows 应用类型(如 .NET,包括 Windows 窗体和 WPF)和桌面 Win32。 而是通过一组通用的 API 和工具(开发人员可以在这些平台中使用)来对这些现有平台进行补充。 有关更多详细信息,请参阅 Windows 应用 SDK 的优势。

  软件特色

  Windows 应用 SDK 提供了各种 Windows API,其实现与 OS 分离,并通过 NuGet 包发布给开发人员。 Windows 应用 SDK 并不打算代替 Windows SDK。 Windows SDK 将继续按原样工作,并且 Windows 的许多核心组件将通过 API 不断改进,这些 API 通过 OS 和 Windows SDK 版本发布。 建议开发人员根据自己的工作节奏选用 Windows 应用 SDK。

  更新日志

  WinUI 3

  此次发布的 WinUI 3 主要是为 1.0 稳定版的新功能做准备,并修复错误。

  新特性:支持在每个窗口而不是在每个线程显示一个 ContentDialog。

  Bug:在这个版本中解决的全部 bug 列表,见 GitHub repo。

  示例:要使用 WinUI 3 控件和功能的运行,你可以从 GitHub 克隆和构建 WinUI 3 Controls Gallery 应用程序,或从微软商店下载 WinUI 3 Controls Gallery。

  推送通知(实验性功能)

  这个版本引入了一个推送通知的 API,可以由 MSIX 打包的桌面应用使用基于 Azure 应用注册身份。要使用这个功能,你必须注册微软私密预览版。

  重要的限制

  推送通知只支持在 Windows 10 2004 版本(Build 19041)或更高版本上运行的 MSIX 打包的应用程序。

  微软保留在私密预览期间禁用或撤销应用程序推送通知的权利。

  微软不保证推送通知的可靠性或延迟性。

  在私密预览期间,推送通知量被限制在每月 100 万条。

  窗口化(实验性功能)

  这个版本包括对窗口化 API 的更新。这些是一组高层次的窗口化 API,以 AppWindow class 类为核心,可以实现易于使用的窗口化场景,与 Windows 用户体验和其他应用很好地整合。这与 UWP 的 AppWindow 类似,但不相同。

  重要的限制

  这个版本的 AppWindow 目前只适用于 Win32 应用程序(包括打包的和未打包的)。

  Windows App SDK 目前没有提供将 UI 框架内容附加到 AppWindow 的方法;你只能使用 HWND 互操作访问方法。

  窗口 API 目前在 AMD64 版本的 Windows 10 1809 和 1903 版本上无法使用。

  为未打包的应用程序进行部署(实验性功能)

  该版本引入了对动态依赖功能的更新,包括引导器 API。

  重要的限制

  动态依赖功能仅支持未打包的应用程序(即不使用 MSIX 作为部署技术的应用程序)。

  不支持提权的调用者。

  其他限制和已知问题

  不支持任意 CPU 构建配置。Windows App SDK 是用本地代码编写的,因此不支持任意 CPU 的构建配置。WinUI 项目模板只允许特定架构的构建。当将 Windows App SDK 添加到支持任意 CPU 的现有.NET 应用程序或组件时,你必须指定所需的架构:x86、x64 或 arm64。

  .NET 应用程序必须以 Windows 10 Build 18362 或更高的构建版本为目标。你的 TFM 必须设置为 net5.0-windows10.0.18362 或更高,而且打包项目的 《TargetPlatformVersion》 必须设置为 18362 或更高。